<html>
<head>
<meta http-equiv="Content-Language" content="ja">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Author" content="Zend Japan">
<meta http-equiv="Description" content="DBCSの入出力を伴うコマンド実行">
<title>sample07</title>
</head>
<body>
<?php
//i5接続
require_once 'inc/i5conn.inc';

//改行
$eol = "\r\n";

//テスト対象オブジェクト
$objName = 'QSYS/ZTESTL';
$objType = '*LIB';
$newText = 'テキストを変更します';

$cmdName = 'RTVOBJD';
$cmdIn   = array('OBJ' => $objName, 'OBJTYPE' => $objType);
//コマンド返り値を $OBJTEXTに入れてみます。
//変数名の文字の大小は一致させる必要があります。
$cmdOut  = array('TEXT' => 'OBJTEXT');

$ret = i5_command($cmdName, $cmdIn, $cmdOut);
if(!$ret){
    echo $cmdName . 'を実行できません<br>';
    echo i5_errormsg() . $eol;
}else{
    echo $cmdName . 'を実行しました<br>' . $eol;
	echo 'テキスト:' . $OBJTEXT . '<BR>' . $eol;
}


$cmdName = 'CHGOBJD';
//i5/OSのコンソールでOBJTYPE(*LIB) TEXT('ABC')と入力することを思い出してください
//TEXTに渡す値は引用符つきです
$cmdIn   = array('OBJ' => $objName, 'OBJTYPE' => $objType, 'TEXT' => "'$newText'");
$cmdOut  = array();

$ret = i5_command($cmdName, $cmdIn, $cmdOut);
if(!$ret){
    echo $cmdName . 'を実行できません<br>';
    echo i5_errormsg() . $eol;
}else{
    echo $cmdName . 'を実行しました<br>' . $eol;
}

i5_close($i5_con);

?>
</body>
</html>